org.appng.appngizer.client

## Class VoidResponseHttpMessageConverter

- java.lang.Object
- - org.appng.appngizer.client.VoidResponseHttpMessageConverter

- All Implemented Interfaces:
    org.springframework.http.converter.HttpMessageConverter<Void>

      public class VoidResponseHttpMessageConverter
      extends Object
      implements org.springframework.http.converter.HttpMessageConverter<Void>

  A `HttpMessageConverter` that gracefully handles `ResponseEntity``<Void>` responses
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoidResponseHttpMessageConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canRead(Class<?> clazz, org.springframework.http.MediaType mediaType)`
    `boolean` | `canWrite(Class<?> clazz, org.springframework.http.MediaType mediaType)`
    `List<org.springframework.http.MediaType>` | `getSupportedMediaTypes()`
    `Void` | `read(Class<? extends Void> clazz, org.springframework.http.HttpInputMessage inputMessage)`
    `void` | `write(Void t, org.springframework.http.MediaType contentType, org.springframework.http.HttpOutputMessage outputMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoidResponseHttpMessageConverter

          public VoidResponseHttpMessageConverter()

  - ### Method Detail

    - #### canRead

          public boolean canRead(Class<?> clazz,
                                 org.springframework.http.MediaType mediaType)

      Specified by:
        `canRead` in interface `org.springframework.http.converter.HttpMessageConverter<Void>`

    - #### canWrite

          public boolean canWrite(Class<?> clazz,
                                  org.springframework.http.MediaType mediaType)

      Specified by:
        `canWrite` in interface `org.springframework.http.converter.HttpMessageConverter<Void>`

    - #### getSupportedMediaTypes

          public List<org.springframework.http.MediaType> getSupportedMediaTypes()

      Specified by:
        `getSupportedMediaTypes` in interface `org.springframework.http.converter.HttpMessageConverter<Void>`

    - #### read

          public Void read(Class<? extends Void> clazz,
                           org.springframework.http.HttpInputMessage inputMessage)
                    throws IOException,
                           org.springframework.http.converter.HttpMessageNotReadableException

      Specified by:
        `read` in interface `org.springframework.http.converter.HttpMessageConverter<Void>`
      Throws:
        `IOException`
        `org.springframework.http.converter.HttpMessageNotReadableException`

    - #### write

          public void write(Void t,
                            org.springframework.http.MediaType contentType,
                            org.springframework.http.HttpOutputMessage outputMessage)
                     throws IOException,
                            org.springframework.http.converter.HttpMessageNotWritableException

      Specified by:
        `write` in interface `org.springframework.http.converter.HttpMessageConverter<Void>`
      Throws:
        `IOException`
        `org.springframework.http.converter.HttpMessageNotWritableException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.